#ifndef GetListOfValidFlashSessions_H
#define GetListOfValidFlashSessions_H

#include <Command.h>
#include "DAudiences.h"
#include "DDirections.h"
#include "ComChannel.h"
namespace ProtoGenWrapper
{
	class GetListOfValidFlashSessions : public OpenTestSystem::OtxDiagManager::Common::Command
	{
	public:
		GetListOfValidFlashSessions(const ComChannel comChannel, DAudiences dAudience, DDirections dDirection);
		GetListOfValidFlashSessions(const OpenTestSystem::OtxDiagManager::Common::Command& cmd);

		bool GetValues(ComChannel& comChannel, DAudiences& dAudience, DDirections& dDirection);

		static int GetCommandType();
	};
}
#endif // GetListOfValidFlashSessions_H
